Skip to main content
GET
/
api
/
v1
/
documents
/
{id}
Get a document by ID
curl --request GET \
  --url https://app.sajn.se/api/v1/documents/{id} \
  --header 'authorization: <authorization>'
{
  "id": "<string>",
  "name": "<string>",
  "status": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "signers": [
    {
      "id": "<string>",
      "documentId": "<string>",
      "name": "<string>",
      "role": "SIGNER",
      "signedAt": "2023-11-07T05:31:56Z",
      "readStatus": "NOT_OPENED",
      "signingStatus": "NOT_SIGNED",
      "deliveryMethod": "EMAIL",
      "requiredSignature": "NONE",
      "twoStepVerification": "NONE",
      "sendStatus": "NOT_SENT",
      "email": "jsmith@example.com",
      "phone": "<string>",
      "companyName": "<string>",
      "companyRole": "<string>",
      "companyOrgNumber": "<string>",
      "externalId": "<string>",
      "companyId": "<string>",
      "ssn": "<string>",
      "signingOrder": 123
    }
  ],
  "externalId": "<string>",
  "expiresAt": "2023-11-07T05:31:56Z",
  "documentMeta": {
    "subject": "<string>",
    "message": "<string>",
    "signingOrder": "PARALLEL",
    "forceReadFullDocument": true,
    "showChatToSigners": true,
    "preferredLanguage": "sv",
    "value": "<string>",
    "redirectUrl": "<string>",
    "redirectEnabled": true
  },
  "completedAt": "2023-11-07T05:31:56Z",
  "tags": [
    {
      "id": "<string>",
      "name": "<string>",
      "color": "<string>"
    }
  ],
  "customFields": [
    {
      "id": "<string>",
      "name": "<string>",
      "type": "TEXT",
      "value": "<string>"
    }
  ],
  "fields": [
    "<string>"
  ]
}

Headers

authorization
string
required

Bearer token for API authentication

Path Parameters

id
string
required

Response

200

id
string
required

Unique document identifier

name
string
required

Document name/title

status
string
required

Document status: DRAFT, SENDING, PENDING, COMPLETED, EXPIRED, CANCELLED, or IMPORTED

createdAt
string<date-time>
required

Date and time when the document was created

updatedAt
string<date-time>
required

Date and time when the document was last updated

signers
object[]
required
externalId
string | null

Your external reference ID for this document

expiresAt
string<date-time> | null

Date and time when the document expires

documentMeta
object

Document metadata including subject, message, signing order, etc.

completedAt
string<date-time> | null

Date and time when all signers completed signing

tags
object[]
customFields
object[]
fields
string[]